> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/ios/standalone-modules/caffaceauth/start-sdk.md).

# Start the SDK

### Instantiating the SDK

First, instantiate an object of type `CafFaceAuthSDK`. This object is for you to configure all your business rules:

```swift
class CafFaceAuthViewController: UIViewController {
    var faceAuthenticator: FaceAuthSDK?

    func setupFaceAuthenticator() {
        faceAuthenticator = FaceAuthSDK.Builder()
        // the table below shows all the SDK configuration options
        .build()
        faceAuthenticator?.delegate = self
    }

    func startFaceAuthenticator() {
        faceAuthenticator?.startFaceAuthSDK(viewController: self, mobileToken:"yourMobileToken", personId: "personId")
    }
}
```

### Getting the Results

You must implement the `FaceAuthSDKDelegate` class to get the SDK results. To do that, you should provide a `UIViewController` to your SDK instance:

```swift
faceAuthenticator?.delegate = self
```

#### Delegate Implementation

The delegate below must be implemented to handle the SDK results. When implementing the delegate extension, you will have access to an object depending on the return type. In each case, the object carries different information.

```swift
extension FaceAuthViewController: FaceAuthSDKDelegate {
  func didFinishSuccess(with faceAuthenticatorResult: CafFaceAuth.FaceAuthenticatorResult) {
    //handle success result
  }
    
  func didFinishWithError(with faceAuthenticatorErrorResult: CafFaceAuth.FaceAuthenticatorErrorResult) {
    //handle error result
  }
    
  func didFinishFaceAuthWithCancelled() {
    //handle when user closes the SDK
  }
    
  func openLoadingScreenStartSDK() {
    //handle loading screen - display
  }
    
  func closeLoadingScreenStartSDK() {
    //handle loading screen - dismiss
  }
    
  func openLoadingScreenValidation() {
    //handle loading screen - display
  }
    
  func closeLoadingScreenValidation() {
    //handle loading screen - dismiss
  }
}   
```

#### Loading Screen

To create a loading screen during the SDK validation processes, you need to implement a view with the loading screen and display it in the *open* and *close* delegate functions. `openLoadingScreenStartSDK()`, `closeLoadingScreenStartSDK()`, `openLoadingScreenValidation()`, `closeLoadingScreenValidation()`

In the SDK implementation, it is necessary to add the view to the view stack using the following code. This makes the view visible.

```swift
view.addSubview(loadingHUD)
```

This view should be added before the Builder of the SDK.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-sdk/ios/standalone-modules/caffaceauth/start-sdk.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
